OJS OCS OMP OHS

You are viewing the PKP Support Forum | PKP Home Wiki



OJS 2.3.3rc1

OJS development discussion, enhancement requests, third-party patches and plug-ins.

Moderators: jmacgreg, btbell, michael, bdgregg, barbarah, asmecher

Forum rules
The Public Knowledge Project Support Forum is moving to http://forum.pkp.sfu.ca

This forum will be maintained permanently as an archived historical resource, but all new questions should be added to the new forum. Questions will no longer be monitored on this old forum after March 30, 2015.

OJS 2.3.3rc1

Postby asmecher » Mon Sep 27, 2010 11:49 am

Hello all,

The PKP team is happy to announce that the release of OJS 2.3.3 is nearly complete. We've made a Release Candidate (RC) package available to anyone who wants to help with the final round of testing -- it's available at:

http://pkp.sfu.ca/ojs/download/ojs-2.3.3rc1.tar.gz

Please let us know if you have a chance to install and test this package. Thanks for helping to make OJS 2.3.3 a solid release.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Re: OJS 2.3.3rc1

Postby lightshadow306 » Thu Sep 30, 2010 9:46 pm

Dear Developers,
Failed to install on FreeBSD 6.1 + Mysql 5.1.21 beta + php 5.2.3
It gives blank page when install and the following is the log
[Fri Oct 01 12:18:07 2010] [error] [client ***.***.***.***] ojs2 has produced an error\n Message: WARNING: Smarty::include() [<a href='function.include'>function.include</a>]: Failed opening '/usr/local/www/e-journals/cache/t_compile/%%7D^7DC^7DC17B21%%install.tpl.php' for inclusion (include_path='.:/usr/local/www/e-journals/classes:/usr/local/www/e-journals/pages:/usr/local/www/e-journals/lib/pkp:/usr/local/www/e-journals/lib/pkp/classes:/usr/local/www/e-journals/lib/pkp/pages:/usr/local/www/e-journals/lib/pkp/lib/adodb:/usr/local/www/e-journals/lib/pkp/lib/phputf8:/usr/local/www/e-journals/lib/pkp/lib/pqp/classes:/usr/local/www/e-journals/lib/pkp/lib/smarty:.:/usr/local/share/pear')\n In file: /usr/local/www/e-journals/lib/pkp/lib/smarty/Smarty.class.php\n At line: 1256\n Stacktrace: \n Server info:\n OS: FreeBSD\n PHP Version: 5.2.3\n Apache Version: Apache/2.2.6 (FreeBSD) mod_ssl/2.2.6 OpenSSL/0.9.7e-p1 DAV/2 PHP/5.2.3 with Suhosin-Patch\n DB Driver: mysql\n DB server version:
lightshadow306
 
Posts: 63
Joined: Wed Nov 05, 2008 8:16 am

Re: OJS 2.3.3rc1

Postby asmecher » Thu Sep 30, 2010 11:11 pm

Hi lightshadow306,

Check your file permissions as per docs/README -- the cache/t_compile directory, and its contents, should be owned by whatever user your web server runs under. This will vary depending on what web server you're using and how it's configured.

Regards,
Alec Smecher
Public Knowledge Project Team
asmecher
 
Posts: 10015
Joined: Wed Aug 10, 2005 12:56 pm

Re: OJS 2.3.3rc1

Postby lightshadow306 » Fri Oct 01, 2010 1:14 am

Dear Asmecher,
Thank you very much, but Now I got
DB Error: Unknown column 'acting_as' in 'field list'
when I try to upgrade from 2.3.2.
and this problem is solved by run
php tools/upgrade.php upgrade

but the latexrender plugin issue still exists. When I go
user->editor->uaaigned (/index.php/journal/editor/submissions/submissionsUnassigned

it give me a blank page. this issue existed (viewtopic.php?f=28&t=6295)
Thank you for your help.
lightshadow306
 
Posts: 63
Joined: Wed Nov 05, 2008 8:16 am

Re: OJS 2.3.3rc1

Postby lightshadow306 » Sun Oct 03, 2010 8:10 pm

I now know what's wrong about the latexrender 0.5.
As I did a new installation, the files in /classes/core/* had been moved to lib/pkp/classes/core/
The most imprtant one is the file "VirtualArrayIterator.inc.php"
So I add a line
import('lib.pkp.classes.core.VirtualArrayIterator');
in LatexRenderPlugin.inc.php

But I don't whether will it make some other problems.

Best Regards
lightshadow306
 
Posts: 63
Joined: Wed Nov 05, 2008 8:16 am


Return to OJS Development

Who is online

Users browsing this forum: No registered users and 1 guest

cron